or.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Int::Bool::OrTrueSubsumed< BV >
| Binary Boolean disjunction propagator (subsumed). More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Bool
| Boolean propagators.

## Macros

#define | GECODE_INT_STATUS(S0, S1)
#define | GECODE_INT_STATUS(S0, S1, S2)
#define | GECODE_INT_STATUS(S0, S1, S2, S3)
#define | GECODE_INT_STATUS(S0, S1, S2)

## Macro Definition Documentation

## GECODE_INT_STATUS [1/4]

#define GECODE_INT_STATUS | ( |  | S0,
|  |  | S1 )

Value:
((BVA::S0<<(1*BVA::BITS))|(BVB::S1<<(0*BVB::BITS)))

## GECODE_INT_STATUS [2/4]

#define GECODE_INT_STATUS | ( |  | S0,
|  |  | S1,
|  |  | S2 )

Value:
((BV::S0<<(2*BV::BITS))|(BV::S1<<(1*BV::BITS))|(BV::S2<<(0*BV::BITS)))

## GECODE_INT_STATUS [3/4]

#define GECODE_INT_STATUS | ( |  | S0,
|  |  | S1,
|  |  | S2,
|  |  | S3 )

Value:
((BV::S0 << (3*BV::BITS)) | (BV::S1 << (2*BV::BITS)) | \
(BV::S2 << (1*BV::BITS)) | (BV::S3 << (0*BV::BITS)))

## GECODE_INT_STATUS [4/4]

#define GECODE_INT_STATUS | ( |  | S0,
|  |  | S1,
|  |  | S2 )

Value:
((BVA::S0<<(2*BVA::BITS))|(BVB::S1<<(1*BVB::BITS))|(BVC::S2<<(0*BVC::BITS)))